# class StatJob |
Full name | `KIO::StatJob`
Definition | `#include <jobclasses.h>`
Inherits | KIO::SimpleJob [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- StatJob (const KURL& url, int command, const QByteArray &packedArgs, bool showProgressInfo)
- const UDSEntry & statResult () const
- virtual void start ( Slave *slave )

#### Signals

- void redirection ( KIO::Job *, const KURL &url )

#### Protected Slots

- void slotStatEntry ( const KIO::UDSEntry & entry )
- void slotRedirection ( const KURL &url)
- virtual void slotFinished ()

#### Protected Members

- UDSEntry m_statResult
- KURL m_redirectionURL

## Detailed Description

StatJob (const KURL& url, int command, const QByteArray &packedArgs, bool showProgressInfo) | ### StatJob

const UDSEntry & statResult () | ### statResult

[const]

Call this in the slot connected to result, and only after making sure no error happened.

void start ( Slave *slave ) | ### start

[virtual]

Called by the scheduler when a slave gets to work on this job.

Reimplemented from SimpleJob.

void redirection ( KIO::Job *, const KURL &url ) | ### redirection

[signal]

Signals a redirection Use to update the URL shown to the user The redirection itself is handled internally

void slotStatEntry ( const KIO::UDSEntry & entry ) | ### slotStatEntry

[protected slots slot]

void slotRedirection ( const KURL &url) | ### slotRedirection

[protected slots slot]

void slotFinished () | ### slotFinished

[protected slots virtual slot]

Reimplemented from SimpleJob.

UDSEntry m_statResult | ### m_statResult

[protected]

KURL m_redirectionURL | ### m_redirectionURL

[protected]

Generated by: root@i386.ports.openbsd.org on Wed Apr 25 13:58:36 2001, using kdoc 2.0a53.